Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.application
Class ApplicationWrapper

    java.lang.Object
      org.mule.module.launcher.application.ApplicationWrapper

All Implemented Interfaces:
  Application

    public class ApplicationWrapper

extends Object
implements Application

Decorates the target deployer to properly switch out context classloader for deployment one where applicable. E.g. init() phase may load custom classes for an application, which must be executed with deployment (app) classloader in the context, and not Mule system classloader.

Constructor Summary
`protected` | `ApplicationWrapper(Application delegate)`

Method Summary
`void` | `dispose()`
`String` | `getAppName()`
`Application` | `getDelegate()`
`ClassLoader` | `getDeploymentClassLoader()`
`ApplicationDescriptor` | `getDescriptor()`
`MuleContext` | `getMuleContext()`
`void` | `init()`
`void` | `install()`
`void` | `redeploy()`
`void` | `start()`
`void` | `stop()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationWrapper

    protected ApplicationWrapper(Application delegate)
                          throws IOException

Throws:
  `IOException`

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Application`

### getDeploymentClassLoader

    public ClassLoader getDeploymentClassLoader()

  Specified by:
    `getDeploymentClassLoader` in interface `Application`
  Returns:
    a classloader associated with this deployment

### getMuleContext

    public MuleContext getMuleContext()

  Specified by:
    `getMuleContext` in interface `Application`

### init

    public void init()

  Specified by:
    `init` in interface `Application`

### install

    public void install()
                 throws InstallException

  Specified by:
    `install` in interface `Application`
  Throws:
    `InstallException`

### redeploy

    public void redeploy()

  Specified by:
    `redeploy` in interface `Application`

### start

    public void start()
               throws DeploymentStartException

  Specified by:
    `start` in interface `Application`
  Throws:
    `DeploymentStartException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Application`

### getAppName

    public String getAppName()

  Specified by:
    `getAppName` in interface `Application`

### getDescriptor

    public ApplicationDescriptor getDescriptor()

  Specified by:
    `getDescriptor` in interface `Application`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDelegate

    public Application getDelegate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.